std::atomic::store(3)

NAME
std::atomic::store - std::atomic::store

Synopsis
   void store( T desired, std::memory_order order =
   std::memory_order_seq_cst ) noexcept; (since C++11)
   void store( T desired, std::memory_order order =
   std::memory_order_seq_cst ) volatile noexcept;
   Atomically replaces the current value with desired. Memory is affected according to
   the value of order.
   order must be one of std::memory_order_relaxed, std::memory_order_release or
   std::memory_order_seq_cst. Otherwise the behavior is undefined.
   The volatile-qualified version is deprecated if (since C++20)
   std::atomic<T>::is_always_lock_free is false.

Parameters
   desired - the value to store into the atomic variable
   order - memory order constraints to enforce

Return value
   (none)

See also
   operator= stores a value into an atomic object
                        (public member function)
   atomic_store atomically replaces the value of the atomic object with a
   atomic_store_explicit non-atomic argument
   (C++11) (function template)
   (C++11)